Bug 729813 - Review Request: perl-Test-CPAN-Meta-JSON - Validate a META.json file within a CPAN distribution
Summary: Review Request: perl-Test-CPAN-Meta-JSON - Validate a META.json file within a...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: perl-Test-Version
TreeView+ depends on / blocked
 
Reported: 2011-08-10 22:06 UTC by Paul Howarth
Modified: 2011-09-14 00:28 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-09-07 10:07:23 UTC
iarnell: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2011-08-10 22:06:11 UTC
Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-Test-CPAN-Meta-JSON/branches/fedora/perl-Test-CPAN-Meta-JSON.spec
SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Test-CPAN-Meta-JSON/perl-Test-CPAN-Meta-JSON-0.10-2.fc17.src.rpm

Description:
This module was written to ensure that a META.json file, provided with a
standard distribution uploaded to CPAN, meets the specifications that are
slowly being introduced to module uploads, via the use of ExtUtils::MakeMaker,
Module::Build and Module::Install.

See CPAN::Meta for further details of the CPAN Meta Specification.

Comment 1 Iain Arnell 2011-08-12 05:37:44 UTC
A nice simple package. No issues. APPROVED.

Spec looks sane, clean and consistent; license is correct (Artistic 2.0);
make test passes cleanly.

Builds locally in mock rawhide.

Source tarballs match upstream (sha1sum):
3fa4fcd06f048f4b36361d3326ed27bfec40f1d4  Test-CPAN-Meta-JSON-0.10.tar.gz
3fa4fcd06f048f4b36361d3326ed27bfec40f1d4  Test-CPAN-Meta-JSON-0.10.tar.gz.srpm

Final provides / requires are sane:

======> perl-Test-CPAN-Meta-JSON-0.10-2.fc17.noarch.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl(Test::CPAN::Meta::JSON) = 0.10
perl(Test::CPAN::Meta::JSON::Version) = 0.10
perl-Test-CPAN-Meta-JSON = 0.10-2.fc17
====> requires
perl(:MODULE_COMPAT_5.14.1)  
perl(IO::File)  
perl(JSON)  
perl(Test::Builder)  
perl(Test::CPAN::Meta::JSON::Version)  
perl(strict)  
perl(vars)  
perl(warnings)  
====> obsoletes
====> conflicts

======> perl-Test-CPAN-Meta-JSON-0.10-2.fc17.src.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
perl(ExtUtils::MakeMaker)  
perl(IO::File)  
perl(JSON) >= 2.15
perl(Test::Builder)  
perl(Test::Builder::Tester)  
perl(Test::CPAN::Meta::YAML)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  
====> obsoletes
====> conflicts

====> mock install
INFO: mock.py version 1.1.12 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.12
INFO: Mock Version: 1.1.12
State Changed: lock buildroot
INFO: installing package(s): perl-Test-CPAN-Meta-JSON-0.10-2.fc17.noarch.rpm
INFO: Ignored option -c (probably due to merging -yc != -y -c)

================================================================================
 Package                  Arch   Version           Repository              Size
================================================================================
Installing:
 perl-Test-CPAN-Meta-JSON noarch 0.10-2.fc17       /perl-Test-CPAN-Meta-JSON-0.10-2.fc17.noarch
                                                                           52 k
Installing for dependencies:
 perl-CPAN                noarch 1.9600-185.fc17   fedora                 259 k
 perl-Digest-SHA          x86_64 1:5.61-185.fc17   fedora                  67 k
 perl-ExtUtils-MakeMaker  noarch 6.57.5-185.fc17   fedora                 303 k
 perl-ExtUtils-ParseXS    noarch 1:2.2210-185.fc17 fedora                  52 k
 perl-HTTP-Tiny           noarch 0.012-185.fc17    fedora                  40 k
 perl-JSON                noarch 2.53-3.fc16       fedora                  94 k
 perl-Test-Harness        noarch 3.23-185.fc17     fedora                 287 k
 perl-Test-Simple         noarch 0.98-185.fc17     fedora                 118 k
 perl-devel               x86_64 4:5.14.1-185.fc17 fedora                 450 k
 python                   x86_64 2.7.2-4.fc16      fedora                  74 k
 systemtap-sdt-devel      x86_64 1.6-1.fc16        fedora                  46 k

Transaction Summary
================================================================================
Install      12 Package(s)

Total size: 1.8 M
Installed size: 4.5 M

Installed:
  perl-Test-CPAN-Meta-JSON.noarch 0:0.10-2.fc17                                 

Dependency Installed:
  perl-CPAN.noarch 0:1.9600-185.fc17                                            
  perl-Digest-SHA.x86_64 1:5.61-185.fc17                                        
  perl-ExtUtils-MakeMaker.noarch 0:6.57.5-185.fc17                              
  perl-ExtUtils-ParseXS.noarch 1:2.2210-185.fc17                                
  perl-HTTP-Tiny.noarch 0:0.012-185.fc17                                        
  perl-JSON.noarch 0:2.53-3.fc16                                                
  perl-Test-Harness.noarch 0:3.23-185.fc17                                      
  perl-Test-Simple.noarch 0:0.98-185.fc17                                       
  perl-devel.x86_64 4:5.14.1-185.fc17                                           
  python.x86_64 0:2.7.2-4.fc16                                                  
  systemtap-sdt-devel.x86_64 0:1.6-1.fc16                                       


State Changed: unlock buildroot
State Changed: end

Comment 2 Paul Howarth 2011-08-12 09:09:29 UTC
New Package SCM Request
=======================
Package Name: perl-Test-CPAN-Meta-JSON
Short Description: Validate a META.json file within a CPAN distribution
Owners: pghmcfc
Branches: EL-4 EL-5 EL-6 F-14 F-15 F-16
InitialCC: perl-sig

Thanks for the review Iain.

Comment 3 Gwyn Ciesla 2011-08-12 12:40:24 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-08-12 14:46:16 UTC
perl-Test-CPAN-Meta-JSON-0.10-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-JSON-0.10-2.el6

Comment 5 Fedora Update System 2011-08-12 14:46:25 UTC
perl-Test-CPAN-Meta-JSON-0.10-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-JSON-0.10-2.fc14

Comment 6 Fedora Update System 2011-08-12 14:46:36 UTC
perl-Test-CPAN-Meta-JSON-0.10-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-JSON-0.10-2.el5

Comment 7 Fedora Update System 2011-08-12 14:46:44 UTC
perl-Test-CPAN-Meta-JSON-0.10-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-JSON-0.10-2.fc15

Comment 8 Fedora Update System 2011-08-12 14:46:51 UTC
perl-Test-CPAN-Meta-JSON-0.10-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-JSON-0.10-2.fc16

Comment 9 Paul Howarth 2011-08-12 19:17:12 UTC
All builds done apart from EPEL-4, which is waiting on perl-JSON (https://admin.fedoraproject.org/updates/perl-JSON-2.17-1.el4).

Comment 10 Fedora Update System 2011-08-23 04:25:39 UTC
perl-Test-CPAN-Meta-JSON-0.10-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-08-23 04:30:46 UTC
perl-Test-CPAN-Meta-JSON-0.10-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 12 Fedora Update System 2011-08-23 20:34:49 UTC
perl-Test-CPAN-Meta-JSON-0.10-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 13 Fedora Update System 2011-08-26 22:11:27 UTC
perl-Test-CPAN-Meta-JSON-0.10-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-JSON-0.10-2.el4

Comment 14 Fedora Update System 2011-08-30 21:02:00 UTC
perl-Test-CPAN-Meta-JSON-0.10-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 15 Fedora Update System 2011-08-30 21:03:37 UTC
perl-Test-CPAN-Meta-JSON-0.10-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2011-09-14 00:28:08 UTC
perl-Test-CPAN-Meta-JSON-0.10-2.el4 has been pushed to the Fedora EPEL 4 stable repository.


Note You need to log in before you can comment on or make changes to this bug.